package com.eeeab.eeeabsmobs.client.model.entity;

import com.eeeab.animate.client.model.EMHierarchicalModel;
import com.eeeab.animate.server.animation.Animation;
import com.eeeab.eeeabsmobs.client.model.animation.AnimationImmortal;
import com.eeeab.eeeabsmobs.client.model.animation.AnimationImmortal2;
import com.eeeab.eeeabsmobs.sever.entity.immortal.EntityImmortal;
import com.eeeab.eeeabsmobs.sever.util.EMMathUtils;
import net.minecraft.client.model.geom.ModelPart;
import net.minecraft.client.model.geom.PartPose;
import net.minecraft.client.model.geom.builders.CubeDeformation;
import net.minecraft.client.model.geom.builders.CubeListBuilder;
import net.minecraft.client.model.geom.builders.LayerDefinition;
import net.minecraft.client.model.geom.builders.MeshDefinition;
import net.minecraft.client.model.geom.builders.PartDefinition;
import net.minecraft.util.Mth;

/* loaded from: ModelImmortal.class */
public class ModelImmortal extends EMHierarchicalModel<EntityImmortal> {
    private final ModelPart root;
    private final ModelPart upper;
    private final ModelPart lower;
    private final ModelPart head;
    private final ModelPart jaw;
    private final ModelPart rightArm;
    private final ModelPart rightArmUnder;
    private final ModelPart miniRightArm;
    private final ModelPart miniRightArmUnder;
    private final ModelPart leftArm;
    private final ModelPart leftArmUnder;
    private final ModelPart miniLeftArm;
    private final ModelPart miniLeftArmUnder;
    private final ModelPart rightFist;
    private final ModelPart leftFist;
    private final ModelPart core;
    private final ModelPart outCore;
    private final ModelPart[] spine;

    public ModelImmortal(ModelPart root) {
        setMovementScale(1.2f);
        this.root = root.m_171324_("root");
        this.upper = this.root.m_171324_("upper");
        this.lower = this.root.m_171324_("lower");
        ModelPart body = this.upper.m_171324_("body");
        this.head = this.upper.m_171324_("head");
        this.jaw = this.head.m_171324_("jaw");
        this.core = this.upper.m_171324_("core");
        this.outCore = this.core.m_171324_("outCore");
        this.rightArm = body.m_171324_("rightArm");
        this.rightArmUnder = this.rightArm.m_171324_("rightArmUnder");
        this.rightFist = this.rightArmUnder.m_171324_("rightFist");
        this.miniRightArm = body.m_171324_("miniRightArm");
        this.miniRightArmUnder = this.miniRightArm.m_171324_("miniRightArmUnder");
        this.leftArm = body.m_171324_("leftArm");
        this.leftArmUnder = this.leftArm.m_171324_("leftArmUnder");
        this.leftFist = this.leftArmUnder.m_171324_("leftFist");
        this.miniLeftArm = body.m_171324_("miniLeftArm");
        this.miniLeftArmUnder = this.miniLeftArm.m_171324_("miniLeftArmUnder");
        this.spine = new ModelPart[]{body.m_171324_("spine1").m_171324_("spine2"), body.m_171324_("spine1")};
    }

    public static LayerDefinition createBodyLayer() {
        MeshDefinition meshdefinition = new MeshDefinition();
        PartDefinition partdefinition = meshdefinition.m_171576_();
        PartDefinition root = partdefinition.m_171599_("root", CubeListBuilder.m_171558_(), PartPose.m_171419_(0.0f, 24.0f, 0.0f));
        PartDefinition upper = root.m_171599_("upper", CubeListBuilder.m_171558_(), PartPose.m_171419_(0.0f, -41.0f, 0.0f));
        PartDefinition head = upper.m_171599_("head", CubeListBuilder.m_171558_(), PartPose.m_171423_(0.0845f, -23.234f, -12.1972f, -0.1746f, 0.0172f, -0.003f));
        head.m_171599_("cube_r1", CubeListBuilder.m_171558_().m_171514_(171, 8).m_171480_().m_171488_(-1.6f, -11.0f, -2.5f, 3.0f, 11.0f, 4.0f, new CubeDeformation(-0.2f)).m_171555_(false), PartPose.m_171423_(-10.1668f, -12.4982f, -9.2005f, 0.5421f, 0.5951f, -0.304f));
        head.m_171599_("cube_r2", CubeListBuilder.m_171558_().m_171514_(142, 10).m_171480_().m_171488_(-1.0f, -1.0f, -7.0f, 4.0f, 4.0f, 9.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-8.2828f, -13.4982f, -3.9373f, 0.0f, 0.5236f, -0.1745f));
        head.m_171599_("cube_r3", CubeListBuilder.m_171558_().m_171514_(171, 8).m_171488_(-1.4f, -11.0f, -2.5f, 3.0f, 11.0f, 4.0f, new CubeDeformation(-0.2f)), PartPose.m_171423_(9.9978f, -12.4982f, -9.2005f, 0.5421f, -0.5951f, 0.304f));
        head.m_171599_("cube_r4", CubeListBuilder.m_171558_().m_171514_(142, 10).m_171488_(-3.0f, -1.0f, -7.0f, 4.0f, 4.0f, 9.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(8.1138f, -13.4982f, -3.9373f, 0.0f, -0.5236f, 0.1745f));
        head.m_171599_("cube_r5", CubeListBuilder.m_171558_().m_171514_(1, 1).m_171488_(-5.5f, -5.5f, -5.5f, 11.0f, 12.0f, 11.0f, new CubeDeformation(1.0f)), PartPose.m_171423_(0.1138f, -7.4982f, -1.9373f, 0.5442f, -0.7142f, -0.3745f));
        head.m_171599_("cube_r6", CubeListBuilder.m_171558_().m_171514_(65, 24).m_171488_(-5.5f, -4.7f, -5.5f, 11.0f, 11.0f, 11.0f, new CubeDeformation(-0.9f)), PartPose.m_171423_(0.1138f, -6.7982f, -1.9373f, 0.6172f, -0.6879f, -0.4202f));
        head.m_171599_("cube_r7", CubeListBuilder.m_171558_().m_171514_(48, 1).m_171488_(-5.5f, -5.5f, -5.5f, 11.0f, 11.0f, 11.0f, new CubeDeformation(-0.4f)), PartPose.m_171423_(0.1138f, -7.4982f, -1.9373f, 0.6172f, -0.6879f, -0.4202f));
        PartDefinition jaw = head.m_171599_("jaw", CubeListBuilder.m_171558_(), PartPose.m_171419_(0.0999f, -3.1325f, -0.4374f));
        jaw.m_171599_("cube_r8", CubeListBuilder.m_171558_().m_171514_(95, 6).m_171488_(-5.5f, -3.0f, -5.5f, 11.0f, 6.0f, 11.0f, new CubeDeformation(-0.4f)), PartPose.m_171423_(0.0f, 1.2f, 0.6f, 0.4531f, -0.6976f, -0.2957f));
        PartDefinition body = upper.m_171599_("body", CubeListBuilder.m_171558_(), PartPose.m_171419_(0.0045f, -10.5267f, -4.6403f));
        body.m_171599_("cube_r9", CubeListBuilder.m_171558_().m_171514_(54, 73).m_171488_(-1.5f, -10.5f, -1.5f, 21.0f, 15.0f, 3.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(7.0596f, 3.7466f, -5.3846f, 0.4235f, -0.4444f, -0.4091f));
        body.m_171599_("cube_r10", CubeListBuilder.m_171558_().m_171514_(104, 73).m_171488_(-6.0f, -1.5f, -0.9f, 12.0f, 3.0f, 3.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(11.9907f, 7.5703f, -1.2237f, 0.4235f, -0.4444f, -0.4091f));
        body.m_171599_("cube_r11", CubeListBuilder.m_171558_().m_171514_(104, 73).m_171480_().m_171488_(-6.0f, -1.5f, -0.9f, 12.0f, 3.0f, 3.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-11.9996f, 7.5703f, -1.2237f, 0.4235f, 0.4444f, 0.4091f));
        body.m_171599_("cube_r12", CubeListBuilder.m_171558_().m_171514_(0, 73).m_171488_(-4.5f, -7.8f, -6.0f, 15.0f, 15.0f, 21.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(10.932f, -5.7637f, 3.6325f, 0.4235f, -0.4444f, -0.4091f));
        body.m_171599_("cube_r13", CubeListBuilder.m_171558_().m_171514_(0, 73).m_171480_().m_171488_(-10.5f, -7.8f, -6.0f, 15.0f, 15.0f, 21.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-10.9409f, -5.7637f, 3.6325f, 0.4235f, 0.4444f, 0.4091f));
        body.m_171599_("cube_r14", CubeListBuilder.m_171558_().m_171514_(54, 73).m_171480_().m_171488_(-19.5f, -10.5f, -1.5f, 21.0f, 15.0f, 3.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-7.0685f, 3.7466f, -5.3846f, 0.4235f, 0.4444f, 0.4091f));
        body.m_171599_("cube_r15", CubeListBuilder.m_171558_().m_171514_(86, 47).m_171488_(-8.5f, -8.5f, -2.5f, 17.0f, 17.0f, 5.0f, new CubeDeformation(1.0f)), PartPose.m_171423_(-0.077f, -21.4777f, 10.5617f, 0.964f, -0.7058f, 0.4098f));
        body.m_171599_("cube_r16", CubeListBuilder.m_171558_().m_171514_(111, 31).m_171480_().m_171488_(-7.0f, -4.5f, -2.5f, 12.0f, 12.0f, 3.0f, new CubeDeformation(1.0f)).m_171555_(false).m_171514_(93, 82).m_171480_().m_171488_(-6.0f, 2.3f, -12.8f, 12.0f, 9.0f, 12.0f, new CubeDeformation(1.0f)).m_171555_(false), PartPose.m_171423_(-8.3769f, -25.0072f, -0.2448f, 1.5143f, -0.7362f, -0.3241f));
        body.m_171599_("cube_r17", CubeListBuilder.m_171558_().m_171514_(111, 31).m_171488_(-5.0f, -4.5f, -2.5f, 12.0f, 12.0f, 3.0f, new CubeDeformation(1.0f)).m_171514_(93, 82).m_171488_(-6.0f, 2.3f, -12.8f, 12.0f, 9.0f, 12.0f, new CubeDeformation(1.0f)), PartPose.m_171423_(8.3679f, -25.0072f, -0.2448f, 1.5143f, 0.7362f, 0.3241f));
        body.m_171599_("cube_r18", CubeListBuilder.m_171558_().m_171514_(0, 28).m_171488_(-10.2f, -10.5f, -10.8f, 21.0f, 21.0f, 21.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(-0.0872f, -1.2852f, 4.9646f, 0.3046f, 0.7708f, 0.2142f));
        PartDefinition spine1 = body.m_171599_("spine1", CubeListBuilder.m_171558_(), PartPose.m_171419_(-0.0909f, 15.3647f, 15.9944f));
        spine1.m_171599_("cube_r19", CubeListBuilder.m_171558_().m_171514_(94, 225).m_171488_(-5.5f, -8.0f, -5.5f, 11.0f, 16.0f, 11.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(0.0f, 0.2f, 0.0f, 0.3896f, 0.7554f, 0.2708f));
        PartDefinition spine2 = spine1.m_171599_("spine2", CubeListBuilder.m_171558_(), PartPose.m_171419_(0.0772f, 14.2908f, 8.5204f));
        spine2.m_171599_("cube_r20", CubeListBuilder.m_171558_().m_171514_(94, 225).m_171488_(-3.7474f, 0.649f, -7.2673f, 11.0f, 16.0f, 11.0f, new CubeDeformation(-0.5f)), PartPose.m_171423_(-0.0175f, -8.3909f, -3.5547f, 0.8337f, 0.6138f, 0.5551f));
        PartDefinition leftArm = body.m_171599_("leftArm", CubeListBuilder.m_171558_(), PartPose.m_171419_(23.2895f, -20.037f, 11.8276f));
        leftArm.m_171599_("cube_r21", CubeListBuilder.m_171558_().m_171514_(143, 73).m_171488_(-5.7401f, -2.8132f, -4.528f, 11.0f, 27.0f, 11.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(6.5167f, -1.5532f, -1.5802f, 0.4988f, -0.4328f, -0.6645f));
        PartDefinition leftPauldrons = leftArm.m_171599_("leftPauldrons", CubeListBuilder.m_171558_(), PartPose.m_171419_(16.5801f, 0.2873f, 7.786f));
        leftPauldrons.m_171599_("cube_r22", CubeListBuilder.m_171558_().m_171514_(38, 192).m_171488_(-3.5478f, -10.9907f, -10.6662f, 0.0f, 12.0f, 12.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(-4.0f, -17.0f, -1.5f, -0.9286f, 0.4523f, -0.3292f));
        leftPauldrons.m_171599_("cube_r23", CubeListBuilder.m_171558_().m_171514_(38, 192).m_171488_(2.6883f, -11.9726f, -10.7928f, 0.0f, 12.0f, 12.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(-0.7881f, -14.7967f, -7.0405f, 0.1018f, 0.9985f, 1.0466f));
        leftPauldrons.m_171599_("cube_r24", CubeListBuilder.m_171558_().m_171514_(148, 125).m_171488_(-20.0f, -14.0f, 3.3f, 23.0f, 23.0f, 5.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(-2.9049f, -5.5027f, -2.8462f, 0.6156f, 0.316f, -0.4619f));
        leftPauldrons.m_171599_("cube_r25", CubeListBuilder.m_171558_().m_171514_(60, 166).m_171488_(0.6691f, 2.2101f, -0.2976f, 5.0f, 10.0f, 5.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(3.9985f, 2.9863f, 4.4988f, 1.1771f, 0.9776f, -1.1045f));
        leftPauldrons.m_171599_("cube_r26", CubeListBuilder.m_171558_().m_171514_(149, 173).m_171488_(-10.6182f, -10.8169f, 4.6838f, 17.0f, 23.0f, 5.0f, new CubeDeformation(0.0f)).m_171514_(196, 161).m_171488_(6.3818f, -10.8169f, -12.3162f, 5.0f, 23.0f, 17.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(3.6381f, 9.6522f, 6.1293f, 0.7952f, 0.4822f, -0.6788f));
        leftPauldrons.m_171599_("cube_r27", CubeListBuilder.m_171558_().m_171514_(90, 107).m_171488_(-2.5f, -11.5f, -11.5f, 5.0f, 23.0f, 23.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(0.7112f, -4.2939f, -12.291f, 0.6156f, 0.316f, -0.4619f));
        PartDefinition leftArmUnder = leftArm.m_171599_("leftArmUnder", CubeListBuilder.m_171558_(), PartPose.m_171423_(16.4779f, 15.8159f, 7.2208f, 0.0f, -0.0873f, 0.0f));
        leftArmUnder.m_171599_("cube_r28", CubeListBuilder.m_171558_().m_171514_(76, 162).m_171488_(-2.3126f, -7.3598f, -3.4177f, 9.0f, 13.0f, 26.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(5.0481f, 22.4179f, -1.4504f, 1.3525f, 0.0082f, 0.0249f));
        leftArmUnder.m_171599_("cube_r29", CubeListBuilder.m_171558_().m_171514_(1, 114).m_171488_(-4.4225f, -5.5f, -25.1487f, 11.0f, 11.0f, 25.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(-1.7211f, -0.9818f, 2.0572f, 1.4029f, -0.0479f, -0.2752f));
        PartDefinition leftFist = leftArmUnder.m_171599_("leftFist", CubeListBuilder.m_171558_(), PartPose.m_171423_(4.419f, 25.0349f, -3.6601f, 0.0f, -0.1047f, 0.0f));
        leftFist.m_171599_("cube_r30", CubeListBuilder.m_171558_().m_171514_(50, 117).m_171488_(39.1809f, -5.1008f, -3.5475f, 10.0f, 10.0f, 9.0f, new CubeDeformation(0.5f)), PartPose.m_171423_(-44.1908f, 3.8069f, 0.0518f, 1.3091f, 0.0045f, 0.0258f));
        PartDefinition leftKatana = leftFist.m_171599_("leftKatana", CubeListBuilder.m_171558_(), PartPose.m_171423_(0.3092f, 4.7129f, 1.252f, 1.3963f, 0.0f, 0.0f));
        PartDefinition blade2 = leftKatana.m_171599_("blade2", CubeListBuilder.m_171558_().m_171514_(206, 2).m_171480_().m_171488_(-4.5f, -72.4f, -2.5f, 9.0f, 71.0f, 5.0f, new CubeDeformation(-1.5f)).m_171555_(false).m_171514_(230, 74).m_171480_().m_171488_(-2.0f, -25.4f, -2.5f, 7.0f, 24.0f, 5.0f, new CubeDeformation(-1.4f)).m_171555_(false), PartPose.m_171423_(0.0f, -8.0f, 0.0f, 0.0f, -1.5708f, 0.0f));
        PartDefinition cusp2 = blade2.m_171599_("cusp2", CubeListBuilder.m_171558_(), PartPose.m_171419_(-2.5f, -70.6f, 0.0f));
        cusp2.m_171599_("cube_r31", CubeListBuilder.m_171558_().m_171514_(207, 105).m_171480_().m_171488_(-2.0f, -15.5f, -2.5f, 4.0f, 17.0f, 5.0f, new CubeDeformation(-1.5001f)).m_171555_(false), PartPose.m_171423_(0.0f, 0.0f, 0.0f, 0.0f, 0.0f, 0.384f));
        cusp2.m_171599_("cube_r32", CubeListBuilder.m_171558_().m_171514_(207, 83).m_171480_().m_171488_(-2.0f, -4.5f, -2.5f, 4.0f, 6.0f, 5.0f, new CubeDeformation(-1.501f)).m_171555_(false), PartPose.m_171423_(1.1f, 0.2f, 0.0f, 0.0f, 0.0f, 0.0175f));
        cusp2.m_171599_("cube_r33", CubeListBuilder.m_171558_().m_171514_(207, 83).m_171480_().m_171488_(-2.0f, -6.5f, -2.5f, 4.0f, 8.0f, 5.0f, new CubeDeformation(-1.501f)).m_171555_(false), PartPose.m_171423_(2.1f, -0.1f, 0.0f, 0.0f, 0.0f, 0.0175f));
        cusp2.m_171599_("cube_r34", CubeListBuilder.m_171558_().m_171514_(207, 83).m_171480_().m_171488_(-2.0f, -9.5f, -2.5f, 4.0f, 11.0f, 5.0f, new CubeDeformation(-1.501f)).m_171555_(false), PartPose.m_171423_(3.0f, 0.2f, 0.0f, 0.0f, 0.0f, 0.0175f));
        cusp2.m_171599_("cube_r35", CubeListBuilder.m_171558_().m_171514_(231, 106).m_171480_().m_171488_(-2.0f, -14.5f, -2.5f, 4.0f, 16.0f, 5.0f, new CubeDeformation(-1.49f)).m_171555_(false), PartPose.m_171423_(5.0f, -0.3f, 0.0f, 0.0f, 0.0f, 0.0175f));
        cusp2.m_171599_("cube_r36", CubeListBuilder.m_171558_().m_171514_(207, 83).m_171480_().m_171488_(-2.0f, -11.5f, -2.5f, 4.0f, 13.0f, 5.0f, new CubeDeformation(-1.501f)).m_171555_(false), PartPose.m_171423_(4.0f, -0.3f, 0.0f, 0.0f, 0.0f, 0.0175f));
        PartDefinition hilt2 = leftKatana.m_171599_("hilt2", CubeListBuilder.m_171558_(), PartPose.m_171419_(-0.25f, -10.0f, 0.0f));
        hilt2.m_171599_("cube_r37", CubeListBuilder.m_171558_().m_171514_(208, 130).m_171480_().m_171488_(-5.0f, -2.5f, -4.5f, 10.0f, 4.0f, 10.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(0.75f, -0.5f, -0.5f, 0.0f, -0.7854f, 0.0f));
        hilt2.m_171599_("cube_r38", CubeListBuilder.m_171558_().m_171514_(236, 44).m_171480_().m_171488_(-2.5f, -10.5f, -2.5f, 5.0f, 21.0f, 5.0f, new CubeDeformation(-0.5f)).m_171555_(false), PartPose.m_171423_(0.25f, 9.5f, 0.0f, 0.0f, -0.7854f, 0.0f));
        PartDefinition rightArm = body.m_171599_("rightArm", CubeListBuilder.m_171558_(), PartPose.m_171419_(-23.2984f, -20.037f, 11.8276f));
        rightArm.m_171599_("cube_r39", CubeListBuilder.m_171558_().m_171514_(143, 73).m_171480_().m_171488_(-5.2599f, -2.8132f, -4.528f, 11.0f, 27.0f, 11.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-6.5168f, -1.5532f, -1.5802f, 0.4988f, 0.4328f, 0.6645f));
        PartDefinition rightPauldrons = rightArm.m_171599_("rightPauldrons", CubeListBuilder.m_171558_(), PartPose.m_171419_(-16.5801f, 0.2873f, 7.786f));
        rightPauldrons.m_171599_("cube_r40", CubeListBuilder.m_171558_().m_171514_(38, 192).m_171480_().m_171488_(3.5478f, -10.9907f, -10.6662f, 0.0f, 12.0f, 12.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(4.0f, -17.0f, -1.5f, -0.9286f, -0.4523f, 0.3292f));
        rightPauldrons.m_171599_("cube_r41", CubeListBuilder.m_171558_().m_171514_(38, 192).m_171480_().m_171488_(-2.6883f, -11.9726f, -10.7928f, 0.0f, 12.0f, 12.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(0.7881f, -14.7967f, -7.0405f, 0.1018f, -0.9985f, -1.0466f));
        rightPauldrons.m_171599_("cube_r42", CubeListBuilder.m_171558_().m_171514_(148, 125).m_171480_().m_171488_(-3.0f, -14.0f, 3.3f, 23.0f, 23.0f, 5.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(2.9049f, -5.5027f, -2.8462f, 0.6156f, -0.316f, 0.4619f));
        rightPauldrons.m_171599_("cube_r43", CubeListBuilder.m_171558_().m_171514_(60, 166).m_171480_().m_171488_(-5.6691f, 2.2101f, -0.2976f, 5.0f, 10.0f, 5.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-3.9985f, 2.9863f, 4.4988f, 1.1771f, -0.9776f, 1.1045f));
        rightPauldrons.m_171599_("cube_r44", CubeListBuilder.m_171558_().m_171514_(149, 173).m_171480_().m_171488_(-6.3818f, -10.8169f, 4.6838f, 17.0f, 23.0f, 5.0f, new CubeDeformation(0.0f)).m_171555_(false).m_171514_(196, 161).m_171480_().m_171488_(-11.3818f, -10.8169f, -12.3162f, 5.0f, 23.0f, 17.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-3.6381f, 9.6522f, 6.1293f, 0.7952f, -0.4822f, 0.6788f));
        rightPauldrons.m_171599_("cube_r45", CubeListBuilder.m_171558_().m_171514_(90, 107).m_171480_().m_171488_(-2.5f, -11.5f, -11.5f, 5.0f, 23.0f, 23.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-0.7112f, -4.2939f, -12.291f, 0.6156f, -0.316f, 0.4619f));
        PartDefinition rightArmUnder = rightArm.m_171599_("rightArmUnder", CubeListBuilder.m_171558_(), PartPose.m_171423_(-16.4779f, 15.8159f, 7.2208f, 0.0f, 0.0873f, 0.0f));
        rightArmUnder.m_171599_("cube_r46", CubeListBuilder.m_171558_().m_171514_(76, 162).m_171480_().m_171488_(-6.6874f, -7.3598f, -3.4177f, 9.0f, 13.0f, 26.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-5.0481f, 22.4179f, -1.4504f, 1.3525f, -0.0082f, -0.0249f));
        rightArmUnder.m_171599_("cube_r47", CubeListBuilder.m_171558_().m_171514_(1, 114).m_171480_().m_171488_(-6.5775f, -5.5f, -25.1487f, 11.0f, 11.0f, 25.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(1.7211f, -0.9818f, 2.0572f, 1.4029f, 0.0479f, 0.2752f));
        PartDefinition rightFist = rightArmUnder.m_171599_("rightFist", CubeListBuilder.m_171558_(), PartPose.m_171423_(-4.419f, 28.5349f, -3.6601f, 0.0f, 0.0873f, 0.0f));
        rightFist.m_171599_("cube_r48", CubeListBuilder.m_171558_().m_171514_(50, 117).m_171480_().m_171488_(-49.1809f, -5.1008f, -3.5475f, 10.0f, 10.0f, 9.0f, new CubeDeformation(0.5f)).m_171555_(false), PartPose.m_171423_(44.1908f, 0.3069f, 0.0518f, 1.3091f, -0.0045f, -0.0258f));
        PartDefinition rightKatana = rightFist.m_171599_("rightKatana", CubeListBuilder.m_171558_(), PartPose.m_171423_(-0.3092f, 1.7129f, 1.252f, 1.3963f, 0.0f, 0.0f));
        PartDefinition blade = rightKatana.m_171599_("blade", CubeListBuilder.m_171558_().m_171514_(206, 2).m_171488_(-4.5f, -72.4f, -2.5f, 9.0f, 71.0f, 5.0f, new CubeDeformation(-1.5f)).m_171514_(230, 74).m_171488_(-5.0f, -25.4f, -2.5f, 7.0f, 24.0f, 5.0f, new CubeDeformation(-1.4f)), PartPose.m_171423_(0.0f, -8.0868f, 0.4924f, 0.0f, 1.5708f, 0.0f));
        PartDefinition cusp1 = blade.m_171599_("cusp1", CubeListBuilder.m_171558_(), PartPose.m_171419_(2.5f, -70.6f, 0.0f));
        cusp1.m_171599_("cube_r49", CubeListBuilder.m_171558_().m_171514_(207, 105).m_171488_(-2.0f, -15.5f, -2.5f, 4.0f, 17.0f, 5.0f, new CubeDeformation(-1.5001f)), PartPose.m_171423_(0.0f, 0.0f, 0.0f, 0.0f, 0.0f, -0.384f));
        cusp1.m_171599_("cube_r50", CubeListBuilder.m_171558_().m_171514_(207, 83).m_171488_(-2.0f, -4.5f, -2.5f, 4.0f, 6.0f, 5.0f, new CubeDeformation(-1.501f)), PartPose.m_171423_(-1.1f, 0.2f, 0.0f, 0.0f, 0.0f, -0.0175f));
        cusp1.m_171599_("cube_r51", CubeListBuilder.m_171558_().m_171514_(207, 83).m_171488_(-2.0f, -6.5f, -2.5f, 4.0f, 8.0f, 5.0f, new CubeDeformation(-1.501f)), PartPose.m_171423_(-2.1f, -0.1f, 0.0f, 0.0f, 0.0f, -0.0175f));
        cusp1.m_171599_("cube_r52", CubeListBuilder.m_171558_().m_171514_(207, 83).m_171488_(-2.0f, -9.5f, -2.5f, 4.0f, 11.0f, 5.0f, new CubeDeformation(-1.501f)), PartPose.m_171423_(-3.0f, 0.2f, 0.0f, 0.0f, 0.0f, -0.0175f));
        cusp1.m_171599_("cube_r53", CubeListBuilder.m_171558_().m_171514_(231, 106).m_171488_(-2.0f, -14.5f, -2.5f, 4.0f, 16.0f, 5.0f, new CubeDeformation(-1.49f)), PartPose.m_171423_(-5.0f, -0.3f, 0.0f, 0.0f, 0.0f, -0.0175f));
        cusp1.m_171599_("cube_r54", CubeListBuilder.m_171558_().m_171514_(207, 83).m_171488_(-2.0f, -11.5f, -2.5f, 4.0f, 13.0f, 5.0f, new CubeDeformation(-1.501f)), PartPose.m_171423_(-4.0f, -0.3f, 0.0f, 0.0f, 0.0f, -0.0175f));
        PartDefinition hilt = rightKatana.m_171599_("hilt", CubeListBuilder.m_171558_(), PartPose.m_171419_(0.25f, -10.0868f, 0.4924f));
        hilt.m_171599_("cube_r55", CubeListBuilder.m_171558_().m_171514_(208, 130).m_171488_(-5.0f, -2.5f, -4.5f, 10.0f, 4.0f, 10.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(-0.75f, -0.5f, -0.5f, 0.0f, 0.7854f, 0.0f));
        hilt.m_171599_("cube_r56", CubeListBuilder.m_171558_().m_171514_(236, 44).m_171488_(-2.5f, -10.5f, -2.5f, 5.0f, 21.0f, 5.0f, new CubeDeformation(-0.5f)), PartPose.m_171423_(-0.25f, 9.5f, 0.0f, 0.0f, 0.7854f, 0.0f));
        PartDefinition miniLeftArm = body.m_171599_("miniLeftArm", CubeListBuilder.m_171558_(), PartPose.m_171423_(21.2878f, 2.1086f, 7.1009f, -0.2233f, 0.2129f, -0.0479f));
        miniLeftArm.m_171599_("cube_r57", CubeListBuilder.m_171558_().m_171514_(0, 155).m_171488_(3.2626f, -16.2447f, -1.6113f, 5.0f, 21.0f, 5.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(0.5261f, 14.0016f, -8.494f, -0.5368f, 0.1339f, -0.6748f));
        PartDefinition miniLeftArmUnder = miniLeftArm.m_171599_("miniLeftArmUnder", CubeListBuilder.m_171558_(), PartPose.m_171419_(7.5336f, 15.0423f, -11.4097f));
        miniLeftArmUnder.m_171599_("cube_r58", CubeListBuilder.m_171558_().m_171514_(0, 155).m_171488_(-2.0126f, -1.8234f, -1.3558f, 5.0f, 21.0f, 5.0f, new CubeDeformation(-0.2f)), PartPose.m_171423_(-0.4866f, 1.0169f, 1.0386f, -2.7484f, -0.3018f, -1.5377f));
        PartDefinition claw1 = miniLeftArmUnder.m_171599_("claw1", CubeListBuilder.m_171558_(), PartPose.m_171419_(-15.5371f, -2.0599f, -7.5473f));
        claw1.m_171599_("cube_r59", CubeListBuilder.m_171558_().m_171514_(22, 173).m_171488_(-3.5f, -5.0f, 0.6f, 7.0f, 8.0f, 0.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(-5.1012f, -1.3441f, -1.8301f, -2.7527f, 0.2655f, -1.308f));
        PartDefinition claw2 = miniLeftArmUnder.m_171599_("claw2", CubeListBuilder.m_171558_(), PartPose.m_171423_(-16.5371f, -2.0599f, -5.5473f, -0.6811f, -0.1671f, -0.2024f));
        claw2.m_171599_("cube_r60", CubeListBuilder.m_171558_().m_171514_(22, 173).m_171488_(-4.1f, -5.0f, 1.6f, 7.0f, 8.0f, 0.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(-4.7667f, -2.1193f, -0.4729f, -2.7527f, 0.2655f, -1.308f));
        PartDefinition claw3 = miniLeftArmUnder.m_171599_("claw3", CubeListBuilder.m_171558_(), PartPose.m_171423_(-17.1588f, -0.9028f, -8.6392f, 2.4164f, -0.5871f, 0.0364f));
        claw3.m_171599_("cube_r61", CubeListBuilder.m_171558_().m_171514_(22, 173).m_171488_(-6.1145f, -3.6076f, -0.202f, 7.0f, 8.0f, 0.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(0.0822f, -0.5564f, -0.9716f, -2.7527f, 0.2655f, -1.308f));
        PartDefinition miniRightArm = body.m_171599_("miniRightArm", CubeListBuilder.m_171558_(), PartPose.m_171423_(-21.2967f, 2.1086f, 7.1009f, -0.2233f, -0.2129f, 0.0479f));
        miniRightArm.m_171599_("cube_r62", CubeListBuilder.m_171558_().m_171514_(0, 155).m_171480_().m_171488_(-8.2626f, -16.2447f, -1.6113f, 5.0f, 21.0f, 5.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-0.5261f, 14.0016f, -8.494f, -0.5368f, -0.1339f, 0.6748f));
        PartDefinition miniRightArmUnder = miniRightArm.m_171599_("miniRightArmUnder", CubeListBuilder.m_171558_(), PartPose.m_171419_(-7.5336f, 15.0423f, -11.4097f));
        miniRightArmUnder.m_171599_("cube_r63", CubeListBuilder.m_171558_().m_171514_(0, 155).m_171480_().m_171488_(-2.9874f, -1.8234f, -1.3558f, 5.0f, 21.0f, 5.0f, new CubeDeformation(-0.2f)).m_171555_(false), PartPose.m_171423_(0.4866f, 1.0169f, 1.0386f, -2.7484f, 0.3018f, 1.5377f));
        PartDefinition claw4 = miniRightArmUnder.m_171599_("claw4", CubeListBuilder.m_171558_(), PartPose.m_171419_(15.5371f, -2.0599f, -7.5473f));
        claw4.m_171599_("cube_r64", CubeListBuilder.m_171558_().m_171514_(22, 173).m_171480_().m_171488_(-3.5f, -5.0f, 0.6f, 7.0f, 8.0f, 0.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(5.1012f, -1.3441f, -1.8301f, -2.7527f, -0.2655f, 1.308f));
        PartDefinition claw5 = miniRightArmUnder.m_171599_("claw5", CubeListBuilder.m_171558_(), PartPose.m_171423_(16.5371f, -2.0599f, -5.5473f, -0.6811f, 0.1671f, 0.2024f));
        claw5.m_171599_("cube_r65", CubeListBuilder.m_171558_().m_171514_(22, 173).m_171480_().m_171488_(-2.9f, -5.0f, 1.6f, 7.0f, 8.0f, 0.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(4.7667f, -2.1193f, -0.4729f, -2.7527f, -0.2655f, 1.308f));
        PartDefinition claw6 = miniRightArmUnder.m_171599_("claw6", CubeListBuilder.m_171558_(), PartPose.m_171423_(17.1588f, -0.9028f, -8.6392f, 2.4164f, 0.5871f, -0.0364f));
        claw6.m_171599_("cube_r66", CubeListBuilder.m_171558_().m_171514_(22, 173).m_171480_().m_171488_(-0.8855f, -3.6076f, -0.202f, 7.0f, 8.0f, 0.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(-0.0822f, -0.5564f, -0.9716f, -2.7527f, -0.2655f, 1.308f));
        PartDefinition core = upper.m_171599_("core", CubeListBuilder.m_171558_(), PartPose.m_171423_(0.0f, -10.9014f, -0.109f, 0.2618f, 0.0f, 0.0f));
        core.m_171599_("cube_r67", CubeListBuilder.m_171558_().m_171514_(143, 28).m_171488_(-4.5f, -4.5f, -4.5f, 9.0f, 9.0f, 9.0f, new CubeDeformation(-1.5f)), PartPose.m_171423_(0.0f, 0.0f, 0.0f, 0.3171f, 0.8035f, 0.232f));
        PartDefinition outCore = core.m_171599_("outCore", CubeListBuilder.m_171558_(), PartPose.m_171419_(0.0f, 0.0f, 0.0f));
        outCore.m_171599_("cube_r68", CubeListBuilder.m_171558_().m_171514_(143, 48).m_171488_(-4.5f, -4.5f, -4.5f, 9.0f, 9.0f, 9.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(0.0f, 0.0f, 0.0f, 0.3171f, 0.8035f, 0.232f));
        PartDefinition lower = root.m_171599_("lower", CubeListBuilder.m_171558_(), PartPose.m_171423_(0.0f, -38.0f, 2.8344f, 0.2618f, 0.0f, 0.0f));
        lower.m_171599_("cube_r69", CubeListBuilder.m_171558_().m_171514_(0, 216).m_171488_(-0.9853f, -0.1706f, -10.6247f, 3.0f, 15.0f, 21.0f, new CubeDeformation(0.5f)), PartPose.m_171423_(13.5777f, 12.6478f, 12.9483f, 0.3656f, -0.7279f, -0.5069f));
        lower.m_171599_("cube_r70", CubeListBuilder.m_171558_().m_171514_(50, 216).m_171488_(2.6412f, -1.6601f, -7.1467f, 3.0f, 18.0f, 18.0f, new CubeDeformation(0.5f)), PartPose.m_171423_(8.7433f, 2.3785f, 4.9792f, 0.4973f, -0.6546f, -0.7127f));
        lower.m_171599_("cube_r71", CubeListBuilder.m_171558_().m_171514_(0, 216).m_171480_().m_171488_(-2.0147f, -0.1706f, -10.6247f, 3.0f, 15.0f, 21.0f, new CubeDeformation(0.5f)).m_171555_(false), PartPose.m_171423_(-13.5777f, 12.6478f, 12.9483f, 0.3656f, 0.7279f, 0.5069f));
        lower.m_171599_("cube_r72", CubeListBuilder.m_171558_().m_171514_(50, 216).m_171480_().m_171488_(-5.6412f, -1.6601f, -7.1467f, 3.0f, 18.0f, 18.0f, new CubeDeformation(0.5f)).m_171555_(false), PartPose.m_171423_(-8.7433f, 2.3785f, 4.9792f, 0.4973f, 0.6546f, 0.7127f));
        lower.m_171599_("cube_r73", CubeListBuilder.m_171558_().m_171514_(0, 184).m_171488_(-9.0f, -6.5398f, -3.0f, 15.0f, 27.0f, 3.0f, new CubeDeformation(0.2f)), PartPose.m_171423_(1.5f, 2.1635f, -11.6503f, -0.4363f, 0.0f, 0.0f));
        lower.m_171599_("cube_r74", CubeListBuilder.m_171558_().m_171514_(38, 165).m_171488_(-1.5f, -5.0f, -1.5f, 5.0f, 11.0f, 5.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(0.0f, 2.5418f, -19.4711f, -0.583f, -0.6956f, 0.3999f));
        lower.m_171599_("cube_r75", CubeListBuilder.m_171558_().m_171514_(38, 186).m_171480_().m_171488_(-16.3677f, -1.2821f, -0.8157f, 15.0f, 12.0f, 3.0f, new CubeDeformation(0.0f)).m_171555_(false), PartPose.m_171423_(0.0f, -2.6178f, -15.7229f, -0.4998f, 0.1958f, 0.0779f));
        lower.m_171599_("cube_r76", CubeListBuilder.m_171558_().m_171514_(38, 186).m_171488_(1.3677f, -1.2821f, -0.8157f, 15.0f, 12.0f, 3.0f, new CubeDeformation(0.0f)), PartPose.m_171423_(0.0f, -2.6178f, -15.7229f, -0.4998f, -0.1958f, -0.0779f));
        return LayerDefinition.m_171565_(meshdefinition, 256, 256);
    }

    public ModelPart root() {
        return this.root;
    }

    /* renamed from: setupAnim, reason: merged with bridge method [inline-methods] */
    public void m_6973_(EntityImmortal entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch) {
        resetToDefaultPose();
        lookAtAnimation(netHeadYaw, headPitch, 1.65f, new ModelPart[]{this.head});
        animate(entity.dieAnimation, AnimationImmortal.DIE, ageInTicks);
        animate(entity.spawnAnimation, AnimationImmortal.SPAWN, ageInTicks);
        animate(entity.punchLeftAnimation, AnimationImmortal.PUNCH_LEFT_1, ageInTicks);
        animate(entity.hardPunchLeftAnimation, AnimationImmortal.PUNCH_LEFT_2, ageInTicks);
        animate(entity.punchRightAnimation, AnimationImmortal.PUNCH_RIGHT_1, ageInTicks);
        animate(entity.hardPunchRightAnimation, AnimationImmortal.PUNCH_RIGHT_2, ageInTicks);
        animate(entity.smashGround1Animation, AnimationImmortal.SMASH_GROUND_1, ageInTicks);
        animate(entity.smashGround2Animation, AnimationImmortal.SMASH_GROUND_2, ageInTicks);
        animate(entity.smashGround3Animation, AnimationImmortal.SMASH_GROUND_3, ageInTicks);
        animate(entity.pouncePreAnimation, AnimationImmortal.GRAPPLE_PRE, ageInTicks);
        animate(entity.pounceHoldAnimation, AnimationImmortal.GRAPPLE_HOLD, ageInTicks);
        animate(entity.pounceEndAnimation, AnimationImmortal.GRAPPLE_END, ageInTicks);
        animate(entity.pounceSmashAnimation, AnimationImmortal.GRAPPLE_SMASH, ageInTicks, 1.0f, 1.2f);
        animate(entity.pouncePickAnimation, AnimationImmortal.GRAPPLE_PICK, ageInTicks);
        animate(entity.attractAnimation, AnimationImmortal.ATTRACT, ageInTicks);
        animate(entity.shoryukenAnimation, AnimationImmortal.SHORYUKEN, ageInTicks);
        animate(entity.teleportAnimation, AnimationImmortal2.MAGIC_TELEPORT, ageInTicks);
        animate(entity.trackingShurikenAnimation, AnimationImmortal2.MAGIC_SHURIKEN, ageInTicks);
        animate(entity.unleashEnergyAnimation, AnimationImmortal2.MAGIC_UNLEASH_ENERGY, ageInTicks);
        animate(entity.armBlockAnimation, AnimationImmortal2.ARM_BLOCK, ageInTicks);
        animate(entity.armBlockHoldAnimation, AnimationImmortal2.ARM_BLOCK_HOLD, ageInTicks);
        animate(entity.armBlockEndAnimation, AnimationImmortal2.ARM_BLOCK_END, ageInTicks);
        animate(entity.armBlockCounterattackAnimation, AnimationImmortal2.ARM_BLOCK_COUNTERATTACK, ageInTicks);
        float delta = ageInTicks - entity.f_19797_;
        float frame = entity.frame + delta;
        Animation animation = entity.getAnimation();
        if (animation == entity.getNoAnimation() && !entity.isActive()) {
            this.core.f_233553_ = 0.0f;
            this.core.f_233554_ = 0.0f;
            this.core.f_233555_ = 0.0f;
            setStaticRotationPoint(this.root, 0.0f, 12.0f, 0.0f);
            setStaticRotationPoint(this.upper, 0.0f, 8.0f, 0.0f);
            setStaticRotationAngle(this.head, 22.0f, 2.0f, -10.0f);
            setStaticRotationPoint(this.head, 0.0f, 3.0f, 0.0f);
            setStaticRotationAngle(this.jaw, 22.5f, 0.0f, 0.0f);
            setStaticRotationPoint(this.core, 0.0f, 30.0f, -26.0f);
            setStaticRotationAngle(this.core, -27.5f, 0.0f, 0.0f);
            setStaticRotationPoint(this.leftArm, -9.0f, 2.0f, -1.0f);
            setStaticRotationPoint(this.rightArm, 9.0f, 2.0f, -1.0f);
            setStaticRotationAngle(this.miniLeftArm, 20.0f, 0.0f, 0.0f);
            setStaticRotationAngle(this.miniRightArm, 20.0f, 0.0f, 0.0f);
            setStaticRotationAngle(this.miniRightArmUnder, -14.1614f, 37.8095f, 65.1283f);
            setStaticRotationAngle(this.miniLeftArmUnder, -14.1614f, -37.8095f, -65.1283f);
            setStaticRotationAngle(this.lower, -5.0f, 0.0f, 0.0f);
        }
        if (entity.isActive() && !entity.m_21224_()) {
            boolean inBlocking = entity.inBlocking();
            animateWalk(AnimationImmortal.WALK, limbSwing, limbSwingAmount, inBlocking ? 1.0f : 0.5f, inBlocking ? -0.5f : 0.5f);
            bob(this.root, 0.1f, 0.8f, false, frame, 1.0f);
            bob(this.head, 0.1f, 0.1f, false, frame, 1.0f);
            walk(this.head, 0.1f, 0.8f * 0.1f, true, 0.0f, 0.0f, frame, 1.0f);
            walk(this.jaw, 0.1f, 0.8f * 0.11f, true, 0.0f, 0.0f, frame, 1.0f);
            bob(this.core, 0.1f - 0.02f, 0.8f * 0.1f, false, frame, 1.0f);
            bob(this.rightArm, 0.1f, 0.8f + 0.2f, false, frame, 1.0f);
            bob(this.leftArm, 0.1f, 0.8f + 0.2f, false, frame, 1.0f);
            flap(this.rightArm, 0.1f, 0.8f * 0.03f, false, 0.0f, 0.0f, frame, 1.0f);
            flap(this.leftArm, 0.1f, 0.8f * 0.03f, true, 0.0f, 0.0f, frame, 1.0f);
            flap(this.rightArmUnder, 0.1f, 0.8f * 0.031f, true, 0.0f, 0.0f, frame, 1.0f);
            flap(this.leftArmUnder, 0.1f, 0.8f * 0.031f, false, 0.0f, 0.0f, frame, 1.0f);
            if (entity.isHoldKatana()) {
                walk(this.rightFist, 0.1f, 0.8f * 0.02f, true, 0.0f, 0.0f, frame, 1.0f);
                walk(this.leftFist, 0.1f, 0.8f * 0.02f, true, 0.0f, 0.0f, frame, 1.0f);
            }
            chainSwing(this.spine, 0.1f + 0.1f, 0.8f, 3.0d, limbSwing, limbSwingAmount);
            chainSwing(this.spine, 0.1f, 0.8f * 0.25f, 1.5d, frame, 1.0f);
            float baseSpeed = animation == entity.unleashEnergyAnimation ? 0.03f : 0.015f;
            autorotation(this.core, frame, baseSpeed, true);
            autorotation(this.outCore, frame, baseSpeed, false);
            float fraction = entity.coreControllerAnimation.getAnimationFraction(ageInTicks);
            if (fraction > 0.0f) {
                this.core.f_104200_ += ((float) (Math.random() - 0.5d)) * fraction;
                this.core.f_104201_ += ((float) (Math.random() - 0.5d)) * fraction;
                this.core.f_104202_ += ((float) (Math.random() - 0.5d)) * fraction;
            }
        }
        if (animation == entity.attractAnimation && entity.getAnimationTick() < 37) {
            float factor = EMMathUtils.getTickFactor(entity.getAnimationTick(), 37.0f, false);
            this.miniRightArm.f_104200_ += ((float) (Math.random() - 0.5d)) * 1.5f * factor;
            this.miniRightArm.f_104201_ += ((float) (Math.random() - 0.5d)) * 1.5f * factor;
            this.miniRightArm.f_104202_ += ((float) (Math.random() - 0.5d)) * 1.5f * factor;
            return;
        }
        if (animation == entity.unleashEnergyAnimation) {
            int tick = entity.getAnimationTick();
            if (tick > 30 && tick < 80) {
                float scale = (float) (Math.random() * 0.5d);
                this.core.f_233553_ += scale;
                this.core.f_233554_ += scale;
                this.core.f_233555_ += scale;
            }
            this.core.f_104204_ += ageInTicks * 0.1f;
        }
    }

    private static void autorotation(ModelPart part, float frame, float baseSpeed, boolean opposite) {
        float v = frame * (opposite ? baseSpeed : -baseSpeed);
        part.f_104203_ += toRadians(Mth.m_14031_(v) * 180.0f);
        part.f_104204_ += toRadians(Mth.m_14031_(v) * 180.0f);
        part.f_104205_ += toRadians(Mth.m_14031_(v) * 360.0f);
    }
}
